/*****************************************************************************
* Copyright (c) [2019-2021], Netobjex INC
* All rights reserved.
*
* File:    test.h
* Summary: Shower
*
*/

#define DEVICE_ID_BYTE_LEN           16                      /* Device ID size */
#define PULSES_TIMER1_INTERVAL                    60000//  300000 //60000            // Timer interval in miliseconds
#define PULSES_CONSTANT                             0.00033f

#ifndef _TEST_H_
#define _TEST_H_

void test_init(void);
void write_data_in_file(uint8_t pulses,float rem);

enum 
{
    TIME_BASED_ALERT_FALSE_1,
    TIME_BASED_ALERT_TRUE_1
};


typedef struct 
{
    uint8_t device_id[DEVICE_ID_BYTE_LEN + 1]; /* Unique Device Idenitifier */
    uint32_t signature;                      /* Used to validate device information */

} device_config_t;


typedef struct 
{
  
    device_config_t setting;
} test_t;

extern char session_id[16];
extern test_t         test;


void test_update_setting_value(const uint8_t *data, uint8_t len, device_config_t *test_setting);
uint8_t test_encode_setting_value(uint8_t *decoded_data, device_config_t *test_setting);
void test_decode_setting_data(device_config_t *test_setting, uint8_t *data, uint8_t len);
void test_update_display(void);
void test_update_led();
void test_notify_value(uint8_t cmd);
void test_process_ble_setting_msg(char *data, uint8_t len);
void test_report_current_status();
void test_load_settings(void);
void test_readSetting(void);
uint8_t convert_to_hex(uint8_t data);
uint16_t get_duration(char *data);
uint32_t get_orderid(char *data);

typedef struct 
{
     
    uint16_t totalPulse; 
    uint8_t pulses;
    uint8_t isNewSession;
    
    uint8_t date;
    uint16_t totalPulse_1; 


} test_data;

typedef struct{

uint32_t time;
uint8_t id_acc_id[20];
float rem_per_min;

}id_acc_data;


typedef struct{

uint32_t time;
uint8_t id_acc_id[20];
uint8_t dosimeter_id[20];
float rem_per_min;

}dosimeter_data_to_send;

#endif